'use client';

import { Button } from '@fluentui/react-components';
import { SettingsRegular, ArrowCircleUpRegular, BookQuestionMarkRegular, ToolboxRegular, DocumentBulletListRegular, AppFolderRegular, AppFolderFilled } from '@fluentui/react-icons';

import { makeStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui/react-theme';

const useStyles = makeStyles({
	root: {
		display: 'flex',
		flexDirection: 'column',
		justifyContent: 'space-between',
		height: '100vh',
		paddingLeft: '6px',
		paddingRight: '6px',
		paddingTop: '6px',
		paddingBottom: '6px',
		width: '150px',
		backgroundColor: tokens.colorNeutralBackground3
	},
	wrapper: {
		display: 'flex',
		flexDirection: 'column',
		rowGap: '12px',
	},
	button: {
		justifyContent: 'flex-start',
	},
});

export default function Sidebar() {
	const classes = useStyles();

	return (
		<div>
			<div className={classes.root}>
				<div className={classes.wrapper}>
					<Button className={classes.button} icon={<AppFolderFilled />} size="large" appearance="outline">
						Projects
					</Button>
					<Button className={classes.button} icon={<BookQuestionMarkRegular />} size="large" appearance="subtle">
						Learn
					</Button>
					<Button className={classes.button} icon={<ToolboxRegular />} size="large" appearance="subtle">
						Tools
					</Button>
				</div>
				<div className={classes.wrapper}>
					<Button className={classes.button} icon={<ArrowCircleUpRegular />} size="large" appearance="primary">
						Update
					</Button>
					<Button className={classes.button} icon={<DocumentBulletListRegular />} size="large" appearance="subtle">
						Logs
					</Button>
					<Button className={classes.button} icon={<SettingsRegular />} size="large" appearance="subtle">
						Settings
					</Button>
				</div>
			</div>
		</div>
	);
}
