import type { Metadata } from 'next';
import { Inter } from 'next/font/google';
import './globals.css';
import classnames from 'classnames';
import { FluentProvider, makeStyles, teamsDarkTheme, teamsLightTheme } from '@fluentui/react-components';
import Sidebar from './components/sidebar';

import { Providers } from './providers';

const inter = Inter({ subsets: ['latin'] });

export const metadata: Metadata = {
	title: 'Create Next App',
	description: 'Generated by create next app',
};

export default function RootLayout({ children }: { children: React.ReactNode }) {
	return (
		<html lang="en">
			<body className={classnames(inter.className)}>
				<Providers>
					<aside className="w-[150px]">
						<Sidebar />
					</aside>
					{children}
				</Providers>
			</body>
		</html>
	);
}
